/*
 * Copyright (c) 2013 RWTH Aachen. All rights reserved.
 *
 * http://www.se-rwth.de/
 */
package ila.tryout;

import org.junit.AfterClass;
import org.junit.BeforeClass;

import ila.LogicalLightCtrlTest;
import ila.gen.factories.LightCtrlFactory;

/**
 * Uses the generated {@link LogicalLightCtrlTest} with alternative component implementation 
 * {@link LightCtrlAuto}.
 *
 * @author  (last commit) $Author: ahaber $
 * @version $Revision: 3132 $,
 *          $Date: 2015-03-16 18:14:24 +0000 (Mon, 16 Mar 2015) $
 * @since   2.4.0
 *
 */
public class LightCtrlNoAutoTest extends LogicalLightCtrlTest {

    @BeforeClass
    public static void initFactory() {
        LightCtrlNoAutoAdjustedInterfaceFactory.intit();
    }
    
    @AfterClass
    public static void resetFactory() {
        LightCtrlFactory.reset();
    }
    
}
