/**
 * 
 */
package ila;

import ila.gen.factories.LightCtrlNoAutoFactory;
import ila.gen.interfaces.ILightCtrlNoAuto;
import ila.signals.AlarmStatus;
import ila.signals.DoorStatus;
import ila.signals.OnOffCmd;
import ila.signals.SwitchStatus;

import org.junit.Test;

import sim.error.SimpleErrorHandler;
import sim.generic.Tick;
import sim.port.TestPort;
import sim.sched.SchedulerFactory;

/**
 * TODO: Write me!
 *
 * <br>
 * <br>
 * Copyright (c) 2012 RWTH Aachen. All rights reserved.
 *
 * @author  (last commit) $Author: ahaber $
 * @version $Date: 2015-01-20 10:00:25 +0000 (Tue, 20 Jan 2015) $<br>
 *          $Revision: 3092 $
 */
public class ILATest {
    
    @Test
    public void testIla() {
        ILightCtrlNoAuto ila = LightCtrlNoAutoFactory.create();        
        ila.setup(SchedulerFactory.createDefaultScheduler(), new SimpleErrorHandler());
        
        TestPort<OnOffCmd> result = new TestPort<OnOffCmd>();
        ila.setCmd(result);
        
        ila.getSwitchStatus().accept(SwitchStatus.ON);
        
        ila.getSwitchStatus().accept(SwitchStatus.OFF);

        tick(ila, 5);
        // ... add further messages
        
        // print out result stream
        //System.out.println(result.getStream());
    }

    /**
     * TODO: Write me!
     * @param ila
     */
    private void tick(ILightCtrlNoAuto ila, int amount) {
        for (int i = 0; i < amount; i++) {
            ila.getAlarmStatus().accept(Tick.<AlarmStatus> get());
            ila.getDoorStatus().accept(Tick.<DoorStatus> get());
            ila.getSwitchStatus().accept(Tick.<SwitchStatus> get());
        }
    }
    
}
