/*
 * Copyright (c) 2013 RWTH Aachen. All rights reserved.
 *
 * http://www.se-rwth.de/
 */
package ila.tryout;

import ila.gen.LightCtrl;
import ila.gen.LightCtrlNoAuto;
import ila.gen.interfaces.ILightCtrl;

/**
 * Adds interface {@link ILightCtrl} to component 
 * {@link LightCtrlAuto}. This way {@link LightCtrl} may be replaced
 * with an instance of this class.
 *
 * @author  (last commit) $Author: ahaber $
 * @version $Revision: 2965 $,
 *          $Date: 2014-08-27 13:25:52 +0000 (Wed, 27 Aug 2014) $
 * @since   2.4.0
 *
 */
public class LightCtrlNoAutoAdjustedInterface extends LightCtrlNoAuto implements ILightCtrl {
    
}
