/*
 * Copyright (c) 2013 RWTH Aachen. All rights reserved.
 *
 * http://www.se-rwth.de/
 */
package ila.tryout;

import ila.gen.factories.LightCtrlFactory;
import ila.gen.interfaces.ILightCtrl;

/**
 * A {@link LightCtrlFactory} that produces {@link LightCtrlNoAutoAdjustedInterface} 
 * components.
 *
 * @author  (last commit) $Author: ahaber $
 * @version $Revision: 3133 $,
 *          $Date: 2015-03-17 17:59:33 +0000 (Tue, 17 Mar 2015) $
 * @since   2.4.0
 *
 */
public class LightCtrlNoAutoAdjustedInterfaceFactory extends LightCtrlFactory {
    
    public static void intit() {
        LightCtrlFactory.register(new LightCtrlNoAutoAdjustedInterfaceFactory());
    }
    /**
     * @see ila.tryout.gen.factories.LightCtrlAutoFactory#doCreate()
     */
    @Override
    protected ILightCtrl doCreate(int x) {
        return new LightCtrlNoAutoAdjustedInterface();
    }
    
}
