/*
 * Copyright (c) 2013 RWTH Aachen. All rights reserved.
 *
 * http://www.se-rwth.de/
 */
package ila.tryout;

import ila.LogicalLightCtrlTest;
import ila.gen.factories.LightCtrlFactory;

import org.junit.AfterClass;
import org.junit.BeforeClass;

/**
 * Uses the generated {@link LogicalLightCtrlTest} with alternative component implementation 
 * {@link LightCtrlAuto}.
 *
 * @author  (last commit) $Author: ahaber $
 * @version $Revision: 2965 $,
 *          $Date: 2014-08-27 15:25:52 +0200 (Mi, 27 Aug 2014) $
 * @since   2.4.0
 *
 */
public class LightCtrlNoAutoCfgTest extends LogicalLightCtrlTest {

    @BeforeClass
    public static void initFactory() {
        LightCtrlNoAutoCfgAdjustedInterfaceFactory.intit();
    }
    
    @AfterClass
    public static void resetFactory() {
        LightCtrlFactory.reset();
    }
}
